| NORSYS SOFTWARE © 2009 | NETICA API | JAVA VERSION 4.18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## norsys.netica.gui
Class NodePanel_BeliefBars

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--norsys.netica.gui.NodePanel
                                    |
                                    +--norsys.netica.gui.NodePanel_BeliefBars

All Implemented Interfaces:
  javax.accessibility.Accessible, DataDisplayer, java.awt.image.ImageObserver, java.awt.MenuContainer, NeticaListener, RecursingEventListener, java.io.Serializable

public class NodePanel_BeliefBars
extends NodePanel

A javax.swing.JPanel for displaying a Nature Node's Beliefs, or a Utility node's Expected Utilities.

Since:
  3.0
Version:
  4.18 - October 1, 2010
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`javax.swing.JLabel` | `continuousInfoJLabel` For continuous Nature nodes only, this is the label at the bottom of the display giving the real value of the node (see `calcValue` ).
`static java.awt.Color` | `defaultBackgroundColor` The background color of this panel upon construction.
`static int` | `defaultBbBarHeight` Height in pixels of the belief bars.
`static java.awt.Color` | `defaultBbBarsAreaColor` The color of the belief bar region.
`static int` | `defaultBbBarsAreaWidth` Width in pixels of the belief bars region.
`static java.awt.Color` | `defaultBbBarsColor` The color of the belief bars.
`static int` | `defaultBbItemHeight` Height in pixels of each belief bar row.
`static java.awt.Color` | `defaultBorderColor` The color of the border displayed by this panel upon construction.
`static java.awt.Color` | `defaultForegroundColor` The color used for displaying the node title upon construction.
`static javax.swing.border.Border` | `defaultTitleBorder` The javax.swing.border.Border object surrounding the node title upon construction.
`static java.awt.Font` | `defaultTitleFont` The Font used for displaying the node title upon construction.
`static int` | `MAX_STATES_DISPLAYED` A limit on the number of states that are displayed.
`static int` | `maxWidth` The maximum width in pixels of these panels.
`static int` | `minWidth` The minimum width in pixels of these panels.
`norsys.netica.gui.NodePanel_BeliefBars.BBRowsPanel` | `rowsPanel` The panel containing all the NodePanel_BeliefBarsRow objects, one for each state of this node.

Fields inherited from class norsys.netica.gui.NodePanel
`defaultBackgroundColor_ConstantNode, defaultBackgroundColor_DecisionNode, defaultBackgroundColor_NatureNode, defaultBackgroundColor_UtilityNode, DISPLAY_MODE_GRAYED, DISPLAY_MODE_HILITED, DISPLAY_MODE_NORMAL, grayedModeBGColor, hilitedModeBGColor, NODE_STYLE_ABSENT, NODE_STYLE_AUTO_SELECT, NODE_STYLE_BELIEF_BARS, NODE_STYLE_CIRCLE, NODE_STYLE_LABELED_BOX, NODE_STYLE_TEXT, nodeTitleJLabel, probabilitiesFormat, PROBABILITY_FORMAT_1, PROBABILITY_FORMAT_2, PROBABILITY_FORMAT_3, PROBABILITY_FORMAT_4`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NodePanel_BeliefBars(Node node)` NodePanel_BeliefBars.NodePanel_BeliefBars().header

Method Summary
`void` | `paintComponent(java.awt.Graphics g)` Overrides javax.swing.JComponent.paintComponent().
`void` | `refreshDataDisplayed()` Refresh all the data in this graphical Component, so that it correctly represents the current state of the Netica object it represents.
`protected void` | `setupPanel()` Create subcomponents of this NodePanel and add them to this Container.

Methods inherited from class norsys.netica.gui.NodePanel
`addListenerToAllComponents, createNodePanel, eventOccurred, getDisplayMode, getNode, getStyle, moveBy, removeListenerFromAllComponents, setDisplayMode`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

public static java.awt.Color defaultBackgroundColor

  The background color of this panel upon construction.

public static java.awt.Color defaultForegroundColor

  The color used for displaying the node title upon construction.

public static java.awt.Color defaultBorderColor

  The color of the border displayed by this panel upon construction.

public static java.awt.Font defaultTitleFont

  The Font used for displaying the node title upon construction.

public static javax.swing.border.Border defaultTitleBorder

  The javax.swing.border.Border object surrounding the node title upon construction.

public static int minWidth

  The minimum width in pixels of these panels. The default is 180.

public static int maxWidth

  The maximum width in pixels of these panels. The default is 500.

public static java.awt.Color defaultBbBarsAreaColor

  The color of the belief bar region. The default is kakki green.

public static java.awt.Color defaultBbBarsColor

  The color of the belief bars. The default is black.

public static int defaultBbItemHeight

  Height in pixels of each belief bar row. The default is 13.

public static int defaultBbBarsAreaWidth

  Width in pixels of the belief bars region. The default is 50.

public static int defaultBbBarHeight

  Height in pixels of the belief bars. The default is 8.

public static int MAX_STATES_DISPLAYED

  A limit on the number of states that are displayed. If the node has more than this many states, then only those for states with indices 0 to one less than this number are displayed.

public gui.NodePanel_BeliefBars.BBRowsPanel rowsPanel

  The panel containing all the NodePanel_BeliefBarsRow objects, one for each state of this node. If this is a continuous node that has not been discretized (assigned discrete levels with `setLevels`), then this panel will contain only one NodePanel_BeliefBarsRow.

public javax.swing.JLabel continuousInfoJLabel

  For continuous Nature nodes only, this is the label at the bottom of the display giving the real value of the node (see `calcValue` ). For other nodes, this variable is null.

Constructor Detail

public NodePanel_BeliefBars ( |
Node | node
| ) throws Exception

  NodePanel_BeliefBars.NodePanel_BeliefBars().header

Method Detail

protected void setupPanel ( ) throws Exception

  Description copied from class: `NodePanel`
  Create subcomponents of this NodePanel and add them to this Container.

  When you subclass NodePanel, you typically will want to override this method with your own method that builds the subcomponents of your particular NodePanel. Should you do this, we recommend that you call super.setupPanel() so that default NodePanel behavior (e.g., hi-liting logic) is retained.
  Version:

  Versions 3.0 and later have this method.
  Overrides:
    `setupPanel` in class `NodePanel`

public void refreshDataDisplayed ( ) throws NeticaException

  Description copied from interface: `DataDisplayer`
  Refresh all the data in this graphical Component, so that it correctly represents the current state of the Netica object it represents.

  If this is a Container object, then it should arrange to invoke the refreshDataDisplayed method of all the DataDisplayer objects it contains.
  Version:

  Versions 3.0 and later have this method.
  Overrides:
    `refreshDataDisplayed` in class `NodePanel`

public void paintComponent ( |
java.awt.Graphics | g
| )

  Description copied from class: `NodePanel`
  Overrides javax.swing.JComponent.paintComponent().

  NOTICE:If you override this method, you probably want to call super.paintComponent() in your method to ensure that the node correctly manages display modes.
  Parameters:

  java.awt.Graphics |  | g |  | The AWT/SWING Graphics context.

  Version:
  Versions 3.0 and later have this method.
  Overrides:
    `paintComponent` in class `NodePanel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD